
User Interface - Feature #3019

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

Add icons support to menu items

03/08/2016 11:09 AM - Vadim Gindin

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to User Interface - Bug #2849: implement and/or fix the default popup... Closed

History

#1 - 03/08/2016 11:13 AM - Vadim Gindin

Window title popup contains icons for the following items: Close, Maximize, Minimize, Restore. Add new class for MenuItem with icons support and fix

window title popup menu.

#2 - 03/08/2016 11:17 AM - Greg Shah

Are there icons in any of the other default menus (e.g. for editor and fill-in)?

Is it possible to implement icons in a 4GL custom popup menu?

#3 - 03/08/2016 11:29 AM - Vadim Gindin

Greg Shah wrote:

Are there icons in any of the other default menus (e.g. for editor and fill-in)?

 

No. Icons are only in window title popup.

Is it possible to implement icons in a 4GL custom popup menu?

 

If you asked about possibility to assign icons in PROGRESS custom popup menus items - I didn't find such possibility.
#4 - 03/08/2016 11:35 AM - Greg Shah

- Assignee set to Eugenie Lyzenko

- Start date deleted (03/08/2016)

Is it possible to implement icons in a 4GL custom popup menu?

 

If you asked about possibility to assign icons in PROGRESS custom popup menus items - I didn't find such possibility.

 

Yes, this is what I was asking.  I'm glad this is the case.

#5 - 11/13/2019 11:52 AM - Greg Shah

- Assignee deleted (Eugenie Lyzenko)
